<?php    	
	include 'phpqrcode.php'; 
		
	require_once("db/db.php");	
	require_once("common/common.php");
	
	$strorderno=trim($_REQUEST['tbno']);	//订单号
	$strdoid=trim($_REQUEST['doid']);	//订单号
	$strroomlistno='';
	if(strlen($strorderno)>0)
	{
		$sql=sprintf("SELECT ListNo FROM TR_Order_Room_List WHERE ListNo=%s And Room_BillState=2;",$strorderno);
					
		$result = querySql($sql);
		$row = fetch_array($result);
	
		$strroomlistno = trim($row['ListNo']);
	
		//释放数据库	
		freeResult($result);
		//关闭数据库
		closeDb();	
	}
	$strDoIDNo='f';
	if($strdoid=='1')
	{	
		$strDoIDNo='b';
	}
	elseif($strdoid='2')
	{
		$strDoIDNo='c';
	}
	
	if(strlen($strroomlistno)>0)
	{
		$strroomlistno='rmb'.$strDoIDNo.$strroomlistno.'tyed';
	}
	else
	{
		$strroomlistno='erb9988notyed';
	}
	
	QRcode::png($strroomlistno);
?>
    